import type { Handle, RequestEvent } from "@sveltejs/kit";
import type { SessionRepository } from "./strategies/strategy.js";
export type SessionOption = {
    sessionCookieName: string;
    keyGenerator: () => string;
    debug: boolean;
    secure: boolean;
};
/**
 *
 * @param repository
 * @param options
 * @returns
 */
export declare function handleSession<Session>(repository: SessionRepository<Session>, options?: Partial<SessionOption>): Handle;
export declare class SveltekitSession<Session> {
    private event;
    private repository;
    private options;
    private sessionKey;
    constructor(event: RequestEvent, repository: SessionRepository<Session>, options?: Partial<SessionOption>);
    private log;
    create(): Promise<boolean>;
    exists(): Promise<boolean>;
    get(initializeIfNull?: boolean): Promise<Session | null>;
    update(value: Session): Promise<boolean>;
    destroy(): Promise<boolean>;
}
